VOS_ZAP(1)

NAME
vos_zap - Removes a volume from its site without writing to the VLDB

SYNOPSIS
vos zap -server <machine name>
    -partition <partition name>
    -id <volume ID>
    [-force] [-backup]
    [-cell <cell name>]
    [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve] [-help]

vos z -s <machine name>
    -p <partition name>
    -i <volume ID>
    [-f] [-b] [-c <cell name>]
    [-noa] [-l] [-v] [-e] [-nor] [-h]

DESCRIPTION
The vos zap command removes the volume with the specified volume ID from the site defined by the -server and -partition arguments, without attempting to change the corresponding Volume Location Database (VLDB) entry. If removing the volume can possibly result in incorrect data in the VLDB, a warning message is displayed.

The -force flag removes a volume even if it cannot be "attached" (brought online), which can happen either because the volume is extremely damaged or because the Salvager functioned abnormally. Without this flag, this command cannot remove volumes that are not attachable. See also "CAUTIONS".

To remove the specified read/write volume's backup version at the same time, include the -backup flag.

CAUTIONS
Do not use this command as the standard way to remove a volume, as it is likely to put the VLDB out of sync with the volumes on servers. Use the vos remove command instead.

This command is useful in situations where it is important to delete the volume, but for some reason the VLDB is unreachable -- for example, because the Volume Location Server is unavailable. The issuer can remove the VLDB entry later with the vos remove or vos delentry command, or it is removed automatically when the vos syncserv and vos syncvldb commands run.

To remove a read-only site defined in the VLDB by mistake, before a copy actually exists at the site, use the vos remsite command. To remove an entire VLDB entry without affecting volumes at their sites, use the vos delentry command.

Do not use the -force flag if the volume is online, but only when attempts to remove the volume with the vos remove or the vos zap command have failed, or the volume definitely cannot be attached. After using the -force flag, make sure that the volume's VLDB entry is also removed (issue the vos delentry command if necessary).

Adding the -force flag makes the command take considerably longer -- about as long as a salvage of the relevant partition -- since the Volume Server examines all inodes on the partition for traces of the volume.

OPTIONS

-server <server name>
    Identifies the file server machine from which to remove the volume. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

-partition <partition name>
    Identifies the partition (on the file server machine specified by the -server argument) from which to remove the volume. Provide the partition's complete name with preceding slash (for example, "/vicepa") or use one of the three acceptable abbreviated forms. For details, see vos(1).

-id <volume ID>
    Specifies the volume ID number of the volume to remove, which can be of any of the three types. The volume name is not acceptable.

-force
    Removes the volume even though it cannot be attached (brought online). Use only after the failure of previous attempts to remove the volume by using the vos remove command or the vos zap command without this flag.

-backup
    Removes the backup version of the read/write volume specified by the -id argument. Do not use this flag if the -id argument identifies a read-only or backup volume.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example removes the volume with volume ID 536870988 from the /vicepf partition of the file server machine "fs6.abc.com", without noting the change in the VLDB.

   % vos zap -server fs6.abc.com -partition f -id 536870988

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
vos(1), vos_delentry(1), vos_remove(1), vos_remsite(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.